###################################################
### chunk number 1: LibraryPreload
###################################################
#line 39 "xcmsMSn.Rnw"
library(xcms)
library(msdata)


###################################################
### chunk number 2: RawFiles
###################################################
#line 58 "xcmsMSn.Rnw"
mzdatapath <- system.file("iontrap", package = "msdata")
list.files(mzdatapath, recursive = TRUE)


###################################################
### chunk number 3: FileIO
###################################################
#line 69 "xcmsMSn.Rnw"
library(xcms)
mzdatafiles <- list.files(mzdatapath, pattern="extracted.mzData", recursive = TRUE, full.names = TRUE)
xraw <- xcmsRaw(mzdatafiles[1], includeMSn=TRUE)
xraw


###################################################
### chunk number 4: SpectraSelection
###################################################
#line 81 "xcmsMSn.Rnw"
peaks <- findPeaks(xraw, method="MS1")


###################################################
### chunk number 5: SpectraSelection
###################################################
#line 104 "xcmsMSn.Rnw"
xs <- xcmsSet(mzdatafiles, method="MS1")
xfrag <- xcmsFragments(xs)
xfrag


###################################################
### chunk number 6: TreePlot
###################################################
#line 116 "xcmsMSn.Rnw"
plotTree(xfrag,xcmsFragmentPeakID=6)


###################################################
### chunk number 7: TextTree
###################################################
#line 123 "xcmsMSn.Rnw"
plotTree(xfrag,xcmsFragmentPeakID=6, textOnly=TRUE)


